package com.pusong.business.service.approver;

import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 审批service容器
 */
@Component
public class ApproverContainer {
    private Map<String, ApproverService> services = new HashMap<String, ApproverService>();

    public void registerService(String approverType, ApproverService service) {
        services.put(approverType, service);
    }
    public ApproverService getService(String approverType) {
        return services.get(approverType);
    }
}
